ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
object_list_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| draw_object_list (&$Options)
| compile_object_list (&$Settings)
| view (&$Options)

## Data Fields
| $Output
| $CachedMultyFS = false

## Detailed Description

Class displays lists of objects.

Author
  Dodonov A.A.

Definition at line 26 of file object_list.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 62 of file object_list.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_object_list | ( | & | $Settings | ) |

Function draws component.

Parameters

  $Settings | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 183 of file object_list.php.

{
try
{
$this->draw_object_list( $Settings );
return( $this->Output );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

draw_object_list | ( | & | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 137 of file object_list.php.

{
try
{
$this->Output = '';
$Name = $Options->get_setting( 'package_name' );
$Version = $Options->get_setting( 'package_version' , 'last' );
$Package = get_package( $Name , $Version , __FILE__ );
$FunctionName = $Options->get_setting( 'select_func_name' , 'select' );
$Records = call_user_func( array( $Object , $FunctionName ) , 0 , 1000000 , false , false );
list( $Header , $Item , $Footer ) = $this->get_templates( $Options );
foreach( $Records as $i => $Record )
{
$this->Output .= $this->String->print_record( $Item , $Record );
}
$this->Output = $Header.$this->Output.$Footer;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

view | ( | & | $Options | ) |

Function draws component.

Parameters

  $Options | - Settings.

Returns
  HTML code of the компонента.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 219 of file object_list.php.

{
try
{
$ContextSet = get_package( 'gui::context_set' , 'last' , __FILE__ );
$ContextSet->add_context( dirname( __FILE__ ).'/conf/cfcx_object_list' );
$ContextSet->execute( $Options , $this , __FILE__ );
return( $this->Output );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file object_list.php.

$Output

Variable stores generated HTML.

Author
  Dodonov A.A.

Definition at line 38 of file object_list.php.

The documentation for this class was generated from the following file:

- packages/gui/packages/object_list/object_list.php